Package org.apache.cayenne.access.flush.operation

## Class DeleteDbRowOp

- java.lang.Object
- - org.apache.cayenne.access.flush.operation.BaseDbRowOp
  - - org.apache.cayenne.access.flush.operation.DeleteDbRowOp

- All Implemented Interfaces:
    `DbRowOp`, `DbRowOpWithQualifier`

      public class DeleteDbRowOp
      extends BaseDbRowOp
      implements DbRowOpWithQualifier

  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Qualifier` | `qualifier` |

    - ### Fields inherited from class org.apache.cayenne.access.flush.operation.BaseDbRowOp

      `changeId, entity, hashCode, object`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeleteDbRowOp​(Persistent object, DbEntity entity, ObjectId id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `accept​(DbRowOpVisitor<T> visitor)` |
    `boolean` | `equals​(Object o)` |
    `Qualifier` | `getQualifier()` |
    `boolean` | `isSameBatch​(DbRowOp rowOp)` |
    `void` | `setChangeId​(ObjectId changeId)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.cayenne.access.flush.operation.BaseDbRowOp

      `getChangeId, getEntity, getObject, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.flush.operation.DbRowOp

      `getChangeId, getEntity, getObject`

- - ### Field Detail

    - #### qualifier

          protected final Qualifier qualifier

  - ### Constructor Detail

    - #### DeleteDbRowOp

          public DeleteDbRowOp​(Persistent object,
                               DbEntity entity,
                               ObjectId id)

  - ### Method Detail

    - #### accept

          public <T> T accept​(DbRowOpVisitor<T> visitor)

      Specified by:
        `accept` in interface `DbRowOp`

    - #### setChangeId

          public void setChangeId​(ObjectId changeId)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `BaseDbRowOp`

    - #### isSameBatch

          public boolean isSameBatch​(DbRowOp rowOp)

      Specified by:
        `isSameBatch` in interface `DbRowOp`
      Parameters:
        `rowOp` - to check
      Returns:
        is this and rowOp operations belong to same sql batch

    - #### getQualifier

          public Qualifier getQualifier()

      Specified by:
        `getQualifier` in interface `DbRowOpWithQualifier`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BaseDbRowOp`